#ifndef _Handle_PColgp_HArray2OfPnt2d_HeaderFile
#define _Handle_PColgp_HArray2OfPnt2d_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PColgp_HArray2OfPnt2d;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColgp_HArray2OfPnt2d);

class Handle(PColgp_HArray2OfPnt2d) : public Handle(Standard_Persistent) {
  public:

    Handle(PColgp_HArray2OfPnt2d)():Handle(Standard_Persistent)() {} 
    Handle(PColgp_HArray2OfPnt2d)(const Handle(PColgp_HArray2OfPnt2d)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PColgp_HArray2OfPnt2d)(const PColgp_HArray2OfPnt2d* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PColgp_HArray2OfPnt2d)& operator=(const Handle(PColgp_HArray2OfPnt2d)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColgp_HArray2OfPnt2d)& operator=(const PColgp_HArray2OfPnt2d* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColgp_HArray2OfPnt2d* operator->() const 
     {
      return (PColgp_HArray2OfPnt2d *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColgp_HArray2OfPnt2d) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
